# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Crypt/CBC.pm) perl(Crypt/CFB.pm) perl(Crypt/Ctr.pm) perl(Crypt/EAX.pm) perl(Crypt/OFB.pm) perl(Cwd.pm) perl(Data/GUID.pm) perl(Data/OptList.pm) perl(Digest.pm) perl(Digest/CMAC.pm) perl(Digest/HMAC.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base32.pm) perl(MIME/Base64.pm) perl(MIME/Base64/URLSafe.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Storable.pm) perl(Sub/Exporter.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/use/ok.pm) perl(URI/Escape.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/clean.pm) perl(ok.pm) perl(tt.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Crypt-Util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: A lightweight Crypt/Digest convenience API
Group: Development/Perl
License: MIT
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides an easy, intuitive and forgiving API for wielding
crypto-fu.

The API is designed as a cascade, with rich features built using simpler ones.
this means that the option processing is uniform throughout, and the behaviors
are generally predictable.

Note that the Crypt::Util manpage doesn't do any crypto on its own, but delegates the
actual work to the various other crypto modules on the CPAN. the Crypt::Util manpage
merely wraps these modules, providing uniform parameters, and building on top
of their polymorphism with higher level features.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*
%perl_vendor_privlib/D*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

